services:

  webserver:
    image: arm64v8/nginx:latest
    ports:
      - 8080:80
    volumes:
      - ./docker/nginx/default.conf:/etc/nginx/conf.d/default.conf
      - ./:/var/www/html
    environment:
      DEVELOP: "true"

  php:
    build: ./docker/php/
    expose:
      - 9000
    volumes:
      - .:/var/www/html
      - ./docker/php/conf.d/xdebug.ini:/usr/local/etc/php/conf.d/docker-php-ext-xdebug.ini
      - ./docker/php/conf.d/error_reporting.ini:/usr/local/etc/php/conf.d/error_reporting.ini
    environment:
      DEVELOP: "true"
      PHP_IDE_CONFIG: serverName=localhost

  mysql:
    image: arm64v8/mysql:lts
    container_name: db
    volumes:
      - ../MYSQL/data:/var/lib/mysql/
    ports:
      - "3306:3306"
    environment:
      MYSQL_ROOT_PASSWORD: "SFluorit"

  phpmyadmin:
    image: arm64v8/phpmyadmin
    ports:
      - '8081:80'

  mailhog:
    platform: linux/amd64
    image: mailhog/mailhog
    ports:
      - "1025:1025"
      - "8025:8025"
